%define module_version 1.07
%define module_name Data-UNLreport
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.07
Release: alt1
Summary: Formats column-oriented data into uniform column sizes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JA/JASALOMON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A detailed description of the module and methods follows.

All parameters to new() are optional.  They can be completely omitted
or set later.

The default value for in_delim is the vertical bar (AKA pipe), the
standard delimiter for files created with the Informix-SQL "unload"
command. You may substitute any other character eg. comma, colon,
period etc.  If you wish to specify a blank separator, use the
lower-case letter 'b' as your parameter.  Other than that b, we
obviously do not recommend using an alphanumeric character as a field
delimiter.  There is [currently] no method for specifying a pattern.

The default value for out_delim is copied from in_delim, whether using
the default in_delim or set in the new() method.  Or you can set it
using the out_delim() method. As with in_delim, do not use an alphanumeric
delimiter if you want your output to be readable. Also, the letter b will
be interpreted as a space (blank)

For methods in_delim(), out_delim(), and out_file(), supplying a
parameter sets the indicated attribute; omitting it returns the value
(Ye Olde accessor-mutator) of that attribute.  Thus, you can omit the
delimter parametes from the new() method and set them later.

Note that you can dynamically change the input column separator.  If
your data input is from different sources that use different column
separators e.g. one comma-separated file and one colon-separated file, you
can switch how the UNLreport object splits the line to follow the change.

On the other hand, the assumption is that all output is to be delimited
the same way.  Similarly, all output [from one UNLreport object] is targeted
to the same output file. The UNLreport object does not really care about the
output column separator or the output file until it is ready to generate the
output.  Hence, it is permissible but futile to call out_delim() (or
out_file()) to set these attributes more than once; only the final call
before output will have the intended effect, overwriting the work of any
previous call.

The default output file is, of course, STDOUT.  You can specify a path
here.  The default mode is '>' - to write the output as a new file,
overwriting any existing file by name name.  If that is not your
intention, use
  mode => ">>"
to append to an existing file.

You send a line to the report by using the overloaded + operator. You
may send it a line with the delimiters intact - as from an UNLOAD
command.  Or you can send it a REFERENCE to an array, as you would have
if you are doing SQL-FETCH commmands and want a neat report on the data.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/D*

%files scripts
%_bindir/*

%changelog
* Tue Nov 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- initial import by package builder

